Bug 441510 - sound is skipping every few seconds
sound is skipping every few seconds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 11:01 EDT by Michal
Modified: 2009-07-15 04:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal 2008-04-08 11:01:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13

Description of problem:
I noticed that sound is skipping in amarok, totem and kaffeine. Amarok and kaffeine uses xine.

cat /var/log/yum.log | grep pulse
kwi 08 15:23:59 Installed: xine-lib-pulseaudio-1.1.11.1-2.fc9.i386
kwi 08 15:28:19 Updated: kde-settings-pulseaudio-4.0-16.fc9.1.noarch

cat /var/log/yum.log | grep xine
kwi 08 15:21:00 Updated: xine-lib-1.1.11.1-2.fc9.i386
kwi 08 15:23:59 Installed: xine-lib-pulseaudio-1.1.11.1-2.fc9.i386
kwi 08 15:26:46 Updated: xine-lib-arts-1.1.11.1-2.fc9.i386



Version-Release number of selected component (if applicable):
kwi 08 15:23:59 Installed: xine-lib-pulseaudio-1.1.11.1-2.fc9.i386
kde-settings-pulseaudio-4.0-16.fc9.1.noarch xine-lib-pulseaudio-1.1.11.1-2.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. upgrade the system to the latest rawhide
2. try to play some music
3.

Actual Results:
sound is skipping every 4-5 seconds

Expected Results:


Additional info:
Comment 1 Michal 2008-04-08 11:09:52 EDT
OK, looks like a kernel issue
Linux black-mamba.pl 2.6.25-0.201.rc8.git4.fc9.i686 #1 SMP Sun Apr 6 21:55:27
EDT 2008 i686 i686 i386 GNU/Linux
works fine

2.6.25-0.204.rc8.git4.fc9.i686 is affected.

00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. P4P800 Mainboard
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 17
        Region 0: I/O ports at d000 [size=256]
        Region 1: I/O ports at d400 [size=64]
        Region 2: Memory at f4fff800 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at f4fff400 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: Intel ICH
        Kernel modules: snd-intel8x0

Comment 2 Lennart Poettering 2008-04-09 14:42:28 EDT
Reassigning to the kernel then.
Comment 3 Chuck Ebbert 2008-04-14 17:39:02 EDT
Should be fixed upstream (and in rawhide soon):

Commit:     e2df9e0905136eebeca66eb9a994ca48d0fa7990
Parent:     120dd64cacd4fb796bca0acba3665553f1d9ecaa
Author:     Ingo Molnar <mingo@elte.hu>
AuthorDate: Mon Apr 14 08:50:02 2008 +0200
Committer:  Ingo Molnar <mingo@elte.hu>
CommitDate: Mon Apr 14 14:26:23 2008 +0200

    revert "sched: fix fair sleepers"
    
    revert "sched: fix fair sleepers" (e22ecef1d2658ba54ed7d3fdb5d60829fb434c23),
    because it is causing audio skipping, see:
    
       http://bugzilla.kernel.org/show_bug.cgi?id=10428
Comment 4 Michal 2008-04-17 10:12:02 EDT
2.6.25-0.234.rc9.git1.fc9.i686 works fine for me.

Regards,
Michal
Comment 5 Michal 2008-04-18 06:32:18 EDT
Uhm, yesterday it worked fine, but today I still hear that audio is skipping.
Comment 6 Bug Zapper 2008-05-14 05:08:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 20:04:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-15 04:17:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.